> ## Documentation Index
> Fetch the complete documentation index at: https://developer.qminder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the list of locations



## OpenAPI

````yaml /api-reference/openapi.json get /v1/locations
openapi: 3.1.0
info:
  title: Qminder API
  version: '1.0'
  description: >-
    The Qminder API allows you to integrate queue management into your own
    applications.
servers:
  - url: https://api.qminder.com
security:
  - sec0: []
tags:
  - name: Locations
    description: Manage physical service locations
  - name: Lines
    description: Manage virtual queues within locations
  - name: Input Fields
    description: Manage custom data fields for locations
  - name: Tickets
    description: Manage visitor queue entries
  - name: Appointments
    description: Manage scheduled appointments
  - name: Users
    description: Manage user accounts and permissions
  - name: Webhooks
    description: Manage webhook subscriptions
paths:
  /v1/locations:
    get:
      tags:
        - Locations
      summary: Get the list of locations
      operationId: get-the-list-of-locations
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "statusCode": 200,
                      "data": [
                        {
                          "id": 28594,
                          "name": "White House",
                          "latitude": 38.8976763,
                          "longitude": -77.0365298,
                          "country": "United States",
                          "address": "1600 Pennsylvania Ave NW, Washington, DC 20500, United States",
                          "selectingDeskMandatory": false,
                          "timezoneOffset": -240
                        },
                        {
                          "id": 39599,
                          "name": "SF City Hall",
                          "latitude": 37.7792792,
                          "longitude": -122.4214304,
                          "country": "United States",
                          "address": "1 Dr Carlton B Goodlett Pl, San Francisco, CA 94102, United States",
                          "selectingDeskMandatory": false,
                          "timezoneOffset": -420
                        }
                      ]
                    }
              schema:
                type: object
                properties:
                  statusCode:
                    type: integer
                    example: 200
                    default: 0
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 28594
                          default: 0
                        name:
                          type: string
                          example: White House
                        latitude:
                          type: number
                          example: 38.8976763
                          default: 0
                        longitude:
                          type: number
                          example: -77.0365298
                          default: 0
                        country:
                          type: string
                          example: United States
                        address:
                          type: string
                          example: >-
                            1600 Pennsylvania Ave NW, Washington, DC 20500,
                            United States
                        selectingDeskMandatory:
                          type: boolean
                          example: false
                          default: true
                        timezoneOffset:
                          type: integer
                          example: -240
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: X-Qminder-REST-API-Key
      x-default: yourbusinessapikey

````